Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfRowOrColumnType

    java.lang.Object
      java.lang.Enum<OdfRowOrColumnType>
          org.odftoolkit.odfdom.dom.type.table.OdfRowOrColumnType

All Implemented Interfaces:
  Serializable, Comparable<OdfRowOrColumnType>

    public enum OdfRowOrColumnType

extends Enum<OdfRowOrColumnType>

DOM implementation of OpenDocument attribute table:last-row-end-column.

Enum Constant Summary
`COLUMN`
`ROW`

Method Summary
`static OdfRowOrColumnType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfRowOrColumnType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfRowOrColumnType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfRowOrColumnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROW

    public static final OdfRowOrColumnType ROW

### COLUMN

    public static final OdfRowOrColumnType COLUMN

Method Detail

### values

    public static OdfRowOrColumnType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfRowOrColumnType c : OdfRowOrColumnType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfRowOrColumnType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfRowOrColumnType>`
  Returns:
    return the name of OdfRowOrColumnType

### toString

    public static String toString(OdfRowOrColumnType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfRowOrColumnType, see table:last-row-end-column
  Returns:
    return the name of OdfRowOrColumnType

### enumValueOf

    public static OdfRowOrColumnType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfRowOrColumnType
  Returns:
    return the constant of OdfRowOrColumnType, see table:last-row-end-column

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.